Change log for apbs package in Ubuntu

113 of 13 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-13
Deleted in cosmic-proposed (Reason: moved to release)
apbs (1.4-1build2) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <email address hidden>  Sun, 13 May 2018 19:19:34 +0000

Available diffs

Superseded in cosmic-release on 2018-05-13
Published in bionic-release on 2018-04-03
Deleted in bionic-proposed (Reason: moved to release)
apbs (1.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <email address hidden>  Tue, 03 Apr 2018 12:13:09 +0000

Available diffs

Superseded in bionic-release on 2018-04-03
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-22
Deleted in trusty-proposed (Reason: moved to release)
apbs (1.4-1) unstable; urgency=low


  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Standards-Version): Bumped to 3.9.4.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (DM-Upload-Allowed): Dropped.
    (Build-Depends): Dropped all autotools related build dependencies,
    libarpack2-dev, libblas-dev and bc. Added cmake, libpython-dev
    and zlib1g-dev.
  * debian/copyright: Updated.
  * debian/rules: Enable hardening. Dropped all autotools related stuff and
    rewrote it for cmake build system.
  * debian/watch: Make regex case insensitive.
  * debian/patches/03_skip_expensive_tests.patch: Dropped. Upstream changed
    to cmake.
  * debian/patches/06_quicktest.patch: Ditto.
  * debian/patches/07_destdir.patch: Ditto.
  * debian/patches/08_distclean.patch: Ditto.
  * debian/patches/09_acinclude_fix.patch: Ditto.
  * debian/patches/debian_make.patch: Added.
    - Compile internal libraries statically into apbs.
  * debian/patches/debian_testfiles.patch: Added.
    - Skip expensive tests (see 03_skip_expensive_tests.patch).
  * debian/patches/series: Adjusted.

  [ Andreas Tille ]
  * debian/upstream: Author field in BibTeX syntax

 -- Debichem Team <email address hidden>  Thu, 08 Aug 2013 18:21:30 +0200

Available diffs

Superseded in trusty-release on 2013-10-22
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
apbs (1.3.0-2) unstable; urgency=low


  * debian/apbs.install: Adjusted.
  * debian/apbs.manpages: Added to fix binary-without-manpage.
  * debian/compat: Increased dh level to 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to recent 3.9.3.
    (Build-Depends): Removed unused cdbs. Added autotools-dev version
    requirements. Lowered required debhelper version.
    (Vcs-Browser): Fixed.
  * debian/copyright: Updated. Removed BSD license file reference to fix
    copyright-refers-to-deprecated-bsd-license-file.
  * debian/rules: Run autotools_dev template. Added override target for
    dh_install. Added target to install upstream changelog file.
  * debian/upstream: Added.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/*.patch: Updated for quilt.
  * debian/patches/04_remove_install-exec-am_rule.patch: Dropped. Moved
    patch content to 07_destdir.patch.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <email address hidden>  Sun, 29 Apr 2012 23:35:09 +0200
Superseded in quantal-release on 2012-05-14
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
apbs (1.2.1b-1build1) oneiric; urgency=low

  * gfortran-4.6 rebuild.
 -- Matthias Klose <email address hidden>   Sun, 11 Sep 2011 11:19:48 +0000

Available diffs

Superseded in oneiric-release on 2011-09-11
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
apbs (1.2.1b-1) unstable; urgency=low

  * New upstream (bugfix) release.

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Build-Depends): Replace libmpich1.0-dev with mpi-default-dev.
  * debian/rules: Added list-missing target.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Use the default
    MPI implementation for the architecture.
  * debian/watch: Slightly adjusted for upstream version schema.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  01 Jan 2010 10:08:24 +0000

Available diffs

Superseded in lucid-release on 2010-01-01
Obsolete in karmic-release on 2013-03-04
apbs (1.1.0-1) unstable; urgency=low

  * New upstream release.

  * debian/apbs.1: Added citation section.
    (SEE ALSO): User guide is not available locally anymore.
  * debian/apbs.doc-base,
    debian/apbs.dirs: Dropped useless files.
  * debian/apbs.install: Removed documentation files, because the user guide
    is not shipped anymore (closes: #508980). The lintian overrides are
    considered by dh_lintian.
  * debian/control (Uploaders): Removed LI as requested. Thanks for your work!
    (Build-Depends): Re-added arpack, which is back in main.
    (Standards-Version): Bumped to 3.8.2 (no other changes).
    (Vcs-Svn): Fixed vcs-field-uses-not-recommended-uri-format.
  * debian/copyright: Updated and completed.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Build with arpack.
  * debian/README.source: Added to comply to policy.
  * debian/lintian-overrides/apbs: Dropped. License file is not installed
    anymore.
  * debian/patches/01_html_documentation.dpatch: Dropped, as there is no
    documentation installed anymore.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Updated/adjusted.
  * debian/patches/05_reduce_test_suite.dpatch: Dropped (cannot be applied
    anymore).
  * debian/patches/00list: Adjusted.

 -- Bhavani Shankar <email address hidden>   Mon,  03 Aug 2009 15:14:46 +0100

Available diffs

Superseded in karmic-release on 2009-08-03
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
apbs (1.0.0-2) unstable; urgency=low

  * debian/patches/06_quicktest.dpatch: New patch, add a `quicktest' target
    which only runs a couple of small tests.
  * debian/rules (DEB_MAKE_CHECK_TARGET): Run quicktest instead of test for
    now.
  * debian/control (Build-Depends): Removed libarpack2-dev. (closes: #497722)
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Removed --with-arpack.

 -- William Grant <email address hidden>   Wed,  08 Oct 2008 14:18:10 +0100

Available diffs

Superseded in intrepid-release on 2008-10-08
apbs (1.0.0-1) unstable; urgency=low

  * New upstream release.
    + No longer contains a corrupted tarball (closes: #473822).
  * debian/patches/04_remove_install-exec-am_rule.dpatch: Refreshed.
  * debian/patches/05_reduce_test_suite.dpatch: New patch, remove most of the
    coordinates for the ion test to save time (closes: 475064).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  11 Jun 2008 20:41:43 +0100

Available diffs

Superseded in intrepid-release on 2008-06-11
apbs (0.5.1-2) unstable; urgency=low

  * Acknowledge NMU 0.5.1-1.1 (closes: #462263). Thanks to Colin Tuckley.

  [ Daniel Leidert ]
  * debian/apbs.1: Added.
  * debian/apbs.doc-base (Section): Adjusted accordingly to latest doc-base
    policy.
  * debian/apbs.install: Install lintian override.
  * debian/compat: Raised to level 5.
  * debian/control: Homepage field transition. Added Vcs fields. Added
    DM-Upload-Allowed field for DM status.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Added myself and LI Daobing.
    (Standards-Version): Updated to latest 3.7.3 (no other changes).
    (Build-Depends): Raised debhelper to v5. Added libarpack2-dev. Added
    libmpich1.0-dev for MPI support. Added python-minimal for some tests.
  * debian/copyright: Fixed old-fsf-address-in-copyright-file issue. Updated
    copyright information. Added exception.
  * debian/rules: Install the newly added apbs.1 manpage.
    (DEB_CONFIGURE_EXTRA_FLAGS): Enable building with arpack (not useful atm
    without tools). Set prefix.
    (DEB_CONFIGURE_EXTRA_FLAGS, DEB_CONFIGURE_SCRIPT_ENV): Enable MPI.
    (DEB_MAKE_INSTALL_TARGET): Only install from bin/ as long as we don't use
    the rest.
  * debian/watch: Updated to fit new source archive naming.
  * debian/lintian-overrides/apbs: Added. The documentation contains the
    license in several formats.

  [ LI Daobing ]
  * FTBFS if built twice in a row (Closes: #424100)

Obsolete in gutsy-backports on 2011-09-16
apbs (0.5.1-1~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
apbs (0.5.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Build-Depends): Added dpatch and autotools-dev.
    (Standards-Version): Changed to latest standards version 3.7.2.
    (Description): Added Homepage field.
  * debian/copyright: Fixed download location after apbs has been moved to
    sourceforge.net.
  * debian/rules: Changed to use dpatch.mk instead of simple-patchsys.mk.
    Added buildcore.mk ruleset. Added FFLAGS flags to configure.
  * debian/watch: Added.
  * debian/patches/01_html_documentation.dpatch: Added. Replaces
    debian/patches/01_html_docu.patch.
  * debian/patches/02_remove_vf2c.dpatch: Added. Replaces
    debian/patches/02_remove_vf2c.patch.
  * debian/patches/90_autoreconf.dpatch: Added. Replaces
    debian/patches/90_autoreconf.patch. Probably closes: #424100.
  * debian/patches/00list: Added.

  [ Michael Banck ]
  * debian/patches/01_html_documentation: Updated.
  * debian/patches/02_remove_vf2c: Removed; no longer needed.
  * debian/patches/90_autoreconf: Likewise.
  * debian/control (Build-Depends): Added bc, needed for the test suite.
  * debian/rules (DEB_CONFIGURE_EXTRA_FLAGS): Added
    --with-fetk-include=/usr/include --with-fetk-library=/usr/lib
    --with-blas=-lblas.
  * debian/rules (DEB_MAKE_CHECK_TARGET): New target, run the test suite.
  * debian/patches/03_skip_expensive_tests.dpatch: New patch, skip tests which
    take a lot of memory and CPU.
  * debian/patches/04_remove_install-exec-am_rule.dpatch: New patch, remove
    the install-exec-am rule from the top-level Makefile.  We can just install
    that data manually and it does not support DESTDIR anyway.
  * debian/apbs.install: Updated location of the user's guide and tutorial in
    the source tree.  Install license.html as well.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 15:20:29 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
apbs (0.4.0-2) unstable; urgency=low

  * debian/patches: New directory, manage changes to upstream with
    simple-patchsys.mk.
  * debian/patches/01_html_docu.patch: New patch, supress link to the
    programmer's manual we don't ship for now.
  * debian/patches/02_remove_vf2c.patch: New patch, remove MALOC's own
    -lvf2c f2c fork from linking.
  * debian/patches/90_autoreconf.patch: Update libtool; closes: #378211.

113 of 13 results